Subject: Re: [P2PSIP] p2psip-hierachical-p2psip-overlay

From: Tao Ma <[email-masked]>
Date: Thu, 23 Jul 2009 16:12:45 +0800

Hi,
    I have read the draft. I think the idea of considering node
heterogeneity and applying  it to improve system scalability and service
availability is of significance. But I have some doubts on the
classification of sub-overlays. In this draft, the node can join in a
sub-overlay with the level corresponding to its capability. However, in the
analysis of benefits of this architecture, I am not able to figure out how
the scalability is reflected. Because the weak nodes are bottlenecks of the
performace,  how can they benefit from this architecture? I think there
needs a contrastive analysis to show the performance  advancement in the
hierarchical architecture especially for the weak nodes.
    I would appreciate for your reply:)
Tao Ma

July 23rd

Beijing University of Posts and Telecommunications, Mobile lIfe and New
Media Lab